%define rname	neon
%define version	0.25.1
%define release	3mdk

%define	major	0.25
%define libname %mklibname %{rname} %{major}

%define _provides_exceptions devel(

Summary: 	An HTTP and WebDAV client library, with a C interface
Name: 		libneon0.25
Version: 	%{version}
Release: 	%{release}
Group: 		Development/Other
License: 	GPL
URL: 		http://www.webdav.org/neon/
Source0: 	http://www.webdav.org/neon/%{rname}-%{version}.tar.gz
Source1: 	http://www.webdav.org/neon/%{rname}-%{version}.tar.gz.asc
#Provides:	libneon
#Provides:	neon
BuildRequires:	openssl-devel >= 0.9.7
BuildRequires:	libxml2-devel
BuildRequires:	libxmlrpc-devel
BuildRequires:	pkgconfig
BuildRequires:	krb5-devel
Requires:	openssl >= 0.9.7
%if %mdkversion >= 1020
BuildRequires:	multiarch-utils >= 1.0.3
%endif
Buildroot: 	%{_tmppath}/%{name}-%{version}-buildroot

%description
neon is an HTTP and WebDAV client library for Unix systems, 
with a C language API. It provides high-level interfaces to 
HTTP/1.1 and WebDAV  methods, and a low-level interface to 
HTTP request/response handling, allowing new methods to be 
easily implemented.

%if "%{_lib}" != "lib"
%package -n	%{libname}
Summary:	Header files and develpment documentation for libnet
Group:		System/Libraries
Requires:	%{libname} = %{version}
#Provides:	libneon
#Provides:	neon

%description -n %{libname}
neon is an HTTP and WebDAV client library for Unix systems, 
with a C language API. It provides high-level interfaces to 
HTTP/1.1 and WebDAV  methods, and a low-level interface to 
HTTP request/response handling, allowing new methods to be 
easily implemented.
%endif

%package -n	%{libname}-devel
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}
#Provides:	libneon-devel
#Provides:	neon-devel 
Conflicts:	%{mklibname neon 0.24}-devel

%description -n	%{libname}-devel
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%package -n	%{libname}-static-devel
Summary:	Static %{libname} library
Group:		Development/C++
Requires:	%{libname}-devel = %{version}
#Provides:	libneon-static-devel
#Provides:	neon-static-devel
Conflicts:	%{mklibname neon 0.24}-static-devel

%description -n	%{libname}-static-devel
Static %{libname} library.

%prep

%setup -q -n %{rname}-%{version}

# clean up CVS stuff
for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -r $i; fi >&/dev/null
done

# this value has to be raised on x86_64
perl -pi -e "s|^ulimit \-v .*|ulimit \-v 40960|g" test/run.sh

%build

# wierd stuff...
%define __libtoolize /bin/true

%serverbuild

%configure2_5x \
    --enable-shared \
    --enable-static \
    --with-ssl \
    --with-libxml2

%make

make check

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall

mv src/README README.neon

# fix this
rm -rf %{buildroot}%{_datadir}/doc

%if %mdkversion >= 1020
%multiarch_binaries %{buildroot}%{_bindir}/neon-config
%endif

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%post -n %{libname}-devel -p /sbin/ldconfig

%postun -n %{libname}-devel -p /sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root,755)
%doc doc/*.txt doc/html README.neon
%{_libdir}/lib*.so.*

%files -n %{libname}-devel
%defattr(-,root,root,755)
%doc AUTHORS BUGS ChangeLog NEWS README THANKS TODO
%if %mdkversion >= 1020
%multiarch %{multiarch_bindir}/neon-config
%endif
%{_bindir}/neon-config
%{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_libdir}/pkgconfig/neon.pc
%{_includedir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*

%files -n %{libname}-static-devel
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%changelog
* Sat Aug 27 2005 Oden Eriksson <oeriksson@mandriva.com> 0.25.1-3mdk
- don't provide devel deps

* Thu Jul 07 2005 Oden Eriksson <oeriksson@mandriva.com> 0.25.1-2mdk
- fix deps

* Tue Jun 21 2005 Oden Eriksson <oeriksson@mandriva.com> 0.25.1-1mdk
- 0.25.1 (Minor bugfixes)

* Fri Jun 10 2005 Buchan Milne <bgmilne@linux-mandrake.com> 0.25.0-6mdk
- Rebuild for libkrb53-devel 1.4.1

* Sat Jun 04 2005 Oden Eriksson <oeriksson@mandriva.com> 0.25.0-5mdk
- renamed to libneon0.25
- fix deps

* Fri Jun 03 2005 Oden Eriksson <oeriksson@mandriva.com> 0.25.0-4mdk
- rebuild

* Fri Jun 03 2005 Oden Eriksson <oeriksson@mandriva.com> 0.25.0-3mdk
- don't provide neon-devel. this package will be renamed and
  moved to contribs soon.
  
* Sun May 01 2005 Oden Eriksson <oeriksson@mandriva.com> 0.25.0-2mdk
- don't obsolete 0.24 just yet...

* Mon Apr 25 2005 Oden Eriksson <oeriksson@mandriva.com> 0.25.0-1mdk
- 0.25.0

* Wed Mar 16 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.24.7.2mdk
- fix deps and conditional %%multiarch
- really run the test suite

* Mon Jul 12 2004 Ben Reser <ben@reser.org> 0.24.7.1mdk
-  0.24.7
- Drop patch for CAN-2004-0398 (patch0), included upstream

* Sun Jun 20 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.24.5-2mdk
- security update for CAN-2004-0398 (patch0) (Stew Benedict)
- fix deps
- misc spec file fixes

* Fri Apr 16 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.24.5-1mdk
- 0.24.5

* Mon Dec 22 2003 Stefan van der Eijk <stefan@eijk.nu> 0.24.4-2mdk
- rebuild for new pkgconfig Requires
- drop redundant BuildRequires

* Mon Nov 10 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.24.4-1mdk
- 0.24.4
- added the gpg sig file
- disable libtool

* Thu Sep 04 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.24.0-4mdk
- fix buildrequires

* Mon Jul 21 2003 David Baudens <baudens@mandrakesoft.com> 0.24.0-3mdk
- Rebuild to fix bad signature

* Thu Jul 10 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.24.0-2mdk
- rebuild

* Sun Jun 22 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.24.0-1mdk
- 0.24.0
- added one new file

* Tue Jun 03 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.23.9-1mdk
- 0.23.9
- make it provide
- use macros
- misc spec file fixes

* Tue Mar 04 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 0.23.8-2mdk
- add Obsoletes and Provides libneon0, libneono0-devel, etc.
- Oden: either get your signature into Mandrake or don't sign the packages

* Mon Mar 03 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.23.8-1mdk
- use the %%mklibname macro
- rebuilt against latest buildrequires
- got rpmlint to finally shut up...

* Sat Feb 08 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.23.7-1mdk
- 0.23.7

* Thu Jan 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.23.5-3mdk
- build against openssl-0.9.7

* Mon Jan 13 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.23.5-2mdk
- build release
- misc spec file fixes

* Fri Nov 01 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.23.5-2mdk
- libifiction
- added the static-devel subpackages
- enabled shared build
- huge spec file fixes

* Fri Nov 01 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.23.5-1mdk
- new version

* Wed Jul 03 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.21.3-1mdk
- 0.21.3
- enable ssl support

* Fri Nov 30 2001 Daouda LO <daouda@mandrakesoft.com> 0.18.0-1mdk
- release 0.18.0

* Thu Oct 18 2001 Daouda LO <daouda@mandrakesoft.com> 0.15.3-2mdk
- spec cleanups
- add devel package (rpmlint compliant)

* Sun Jul  1 2001  Daouda Lo <daouda@mandrakesoft.com> 0.15.3-1mdk
- mdk first package
